Distribution:   CCux
Packager:       Stefan Gottwald <gotti@ccux-linux.de>

Summary:	gpm means general purpose mouse and is the mouse support for linux in the console. 
Name:		gpm
Version:	1.20.5
Release:	1
Group:		System/Console
License:	GBU/GPL
Source:		%{name}-%{version}.tar.gz
#Patch0:		%{name}-1.20.3-all-synps2-four-way-button.patch
Source1:	gpm.conf.d
Source2:	gpm.rc6
Patch1: 	gpm-1.20.3-gcc4.3.patch
BuildRoot:	/var/tmp/%{name}-%{version}-buildroot
BuildRequires:	glibc-devel

BuildArch:	i686

Requires(post,preun):	/sbin/chkconfig

%define		minor	1.20.0

%description
gpm means general purpose mouse and is the mouse support for linux in the console. 

%package	devel
Summary: 	Libraries and headers for %{name}
Group: 		Development/Libraries
Requires: 	%{name} = %{version}-%{release}

%description	devel
Headers and static libraries for %{name}.

%post
/sbin/chkconfig --add gpm
/sbin/chkconfig gpm on
# install info
/sbin/install-info %{_infodir}/gpm.info.gz %{_infodir}/dir || :
# Restart gpm if we are upgrading...
if test $1 -gt 1; then
        /etc/rc.d/init.d/gpm stop 1>/dev/null 2>&1
        /etc/rc.d/init.d/gpm start 1>/dev/null 2>&1
fi

%preun 
if test $1 = 0; then
        /etc/rc.d/init.d/gpm stop 1>/dev/null 2>&1
        /sbin/chkconfig --del gpm
fi
# remove info
if [ $1 = 0 ]; then
    /sbin/install-info --delete %{_infodir}/gpm.info.gz %{_infodir}/dir 
fi
exit 0

%prep
%setup -n %{name}-%{version}
#%patch0 -p1
%patch1 -p1

%build
export CFLAGS="$RPM_OPT_FLAGS"
export CXXFLAGS=$CFLAGS
%configure \
--sysconfdir=%_sysconfdir/%{name}
make

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

#rm $RPM_BUILD_ROOT%_libdir/libgpm.so

#ln -s libgpm.so.%{minor} $RPM_BUILD_ROOT%_libdir/libgpm.so.1
ln -s libgpm.so.2 $RPM_BUILD_ROOT%_libdir/libgpm.so

install -m 644 conf/gpm-root.conf $RPM_BUILD_ROOT%_sysconfdir/gpm/gpm-root.conf
install -m 644 conf/gpm-syn.conf $RPM_BUILD_ROOT%_sysconfdir/gpm/gpm-syn.conf
install -m 644 conf/gpm-twiddler.conf $RPM_BUILD_ROOT%_sysconfdir/gpm/gpm-twiddler.conf
install -m 644 %{SOURCE1} $RPM_BUILD_ROOT%_sysconfdir/gpm/gpm.conf

mkdir -p $RPM_BUILD_ROOT%_sysconfdir/rc.d/init.d
install -m 755 %{SOURCE2} $RPM_BUILD_ROOT%_sysconfdir/rc.d/init.d/gpm

%clean
rm -rf $RPM_BUILD_ROOT

%files
%doc BUGS Changes README TODO doc/Announce doc/FAQ doc/README.*
%config(noreplace) %_sysconfdir/rc.d/init.d/gpm
%config(noreplace) %_sysconfdir/%{name}/%{name}.conf
%config(noreplace) %_sysconfdir/%{name}/%{name}-root.conf
%config(noreplace) %_sysconfdir/%{name}/%{name}-syn.conf
%config(noreplace) %_sysconfdir/%{name}/%{name}-twiddler.conf
%_bindir
%_sbindir/%{name}
%_mandir
%_infodir
%_libdir/lib%{name}.so.*

%files devel
%_includedir
%_libdir/libgpm.a
%_libdir/libgpm.so

%changelog
* Sat Jul 26 2008 Christian Metzen <metzench@ccux-linux.de> 1.20.5-1
- Version update
- added post/preun require for chkconfig binary, gcc 4.3 patch
* Tue Apr 29 2008 Christian Wasem <wasem@ccux-linux.de> 1.20.3-1
- Version update, added devel package, added info install
* Wed Oct 11 2006 Karsten Brockmann <arcam@ccux-linux.de> 1.20.1-3
- ported initfile to support chkconfig
* Tue Sep 19 2006 Christian Metzen <metzench@ccux-linux.de> 1.20.1-2
- added missing changelog and summary (yeah early build tryouts... )
* Mon Mar 12 2005 Stefan Gottwald <gotti@ccux-linux.de> 1.20.1-1
- Initial release
